/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.ProdVigenciaDAO;
import com.rjconsultores.ventaboletos.entidad.ProdVigencia;
import com.rjconsultores.ventaboletos.service.ProdVigenciaService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Rafius
 */
@Service("prodVigenciaService")
public class ProdVigenciaServiceImpl implements ProdVigenciaService {

    @Autowired
    private ProdVigenciaDAO prodVigenciaDAO;

    public List<ProdVigencia> obtenerTodos() {
        return prodVigenciaDAO.obtenerTodos();
    }

    public ProdVigencia obtenerID(Integer id) {
        return prodVigenciaDAO.obtenerID(id);
    }

    @Transactional
    public ProdVigencia suscribir(ProdVigencia entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return prodVigenciaDAO.suscribir(entidad);
    }

    @Transactional
    public ProdVigencia actualizacion(ProdVigencia entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return prodVigenciaDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(ProdVigencia entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        prodVigenciaDAO.actualizacion(entidad);
    }

    public List<ProdVigencia> buscarTraslapa(ProdVigencia prodVigencia) {
        return prodVigenciaDAO.buscarTraslapa(prodVigencia);
    }
}
